=== debian/changelog ===
rosegarden (1:24.12.1-1) unstable; urgency=medium

  * New upstream version 24.12.1
    + Fix crashes after closing the "Mange MIDI Devices" window
      (Closes: #1091859)
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Tue, 11 Feb 2025 17:47:45 +0100
