## rosegarden 25.06

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-# CMake version required. This must be the very first line, because it sets default policies affecting everything else
-cmake_minimum_required(VERSION 3.1)
+# CMake version required. This must be the very first line, because it sets
+# default policies affecting everything else.
+cmake_minimum_required(VERSION 3.5)
 
 # Project name
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "24.12.1")
-set(ROSEGARDEN_CODENAME "Incredible")
-#set(ROSEGARDEN_CODENAME "Joyfulness")
+set(ROSEGARDEN_VERSION "25.06")
+set(ROSEGARDEN_CODENAME "Joyfulness")
 #set(ROSEGARDEN_CODENAME "Keepsake")
 #set(ROSEGARDEN_CODENAME "Let Freedom Ring")
 #set(ROSEGARDEN_CODENAME "Mountain Music")
@@ -24,6 +24,32 @@
 #set(ROSEGARDEN_CODENAME "Xenophon")
 #set(ROSEGARDEN_CODENAME "Yellow Brick Road")
 #set(ROSEGARDEN_CODENAME "Zaïd")
+#set(ROSEGARDEN_CODENAME "Amadeus")
+#set(ROSEGARDEN_CODENAME "Blue Moon")
+#set(ROSEGARDEN_CODENAME "Cabaret")
+#set(ROSEGARDEN_CODENAME "Duet")
+#set(ROSEGARDEN_CODENAME "Etude")
+#set(ROSEGARDEN_CODENAME "Foxtrot")
+#set(ROSEGARDEN_CODENAME "Gloire du Midi")
+#set(ROSEGARDEN_CODENAME "Harmonie")
+#set(ROSEGARDEN_CODENAME "Intermezzo")
+#set(ROSEGARDEN_CODENAME "Jazz")
+#set(ROSEGARDEN_CODENAME "Koto")
+#set(ROSEGARDEN_CODENAME "Lyric")
+#set(ROSEGARDEN_CODENAME "Mozart")
+#set(ROSEGARDEN_CODENAME "Nocturne")
+#set(ROSEGARDEN_CODENAME "Operetta")
+#set(ROSEGARDEN_CODENAME "Piccolo")
+#set(ROSEGARDEN_CODENAME "Quintet")
+#set(ROSEGARDEN_CODENAME "Rumba")
+#set(ROSEGARDEN_CODENAME "Symphony")
+#set(ROSEGARDEN_CODENAME "Tenor")
+#set(ROSEGARDEN_CODENAME "Unforgettable")
+#set(ROSEGARDEN_CODENAME "Violina")
+#set(ROSEGARDEN_CODENAME "Wind Chimes")
+#set(ROSEGARDEN_CODENAME "Xanadu")
+#set(ROSEGARDEN_CODENAME "Yodel")
+#set(ROSEGARDEN_CODENAME "Ziggy Stardust")
 
 # Make the build type default to "Release"
 if(NOT CMAKE_BUILD_TYPE)
@@ -190,20 +216,13 @@
 add_feature_info(LIRCCLIENT LIRCCLIENT_FOUND "The LIRC client library, for remote control support")
 
 # lilv for lv2 plugins
-find_path(LILV_INCLUDE_DIR lilv/lilv.h
-  PATH /usr/include/lilv-0)
-if(NOT LILV_INCLUDE_DIR)
+pkg_check_modules(LILV lilv-0)
+if(NOT LILV_INCLUDE_DIRS)
   message(WARNING "Failed to find Lilv header lilv/lilv.h for lv2 plugins")
 endif()
-find_library(LILV_LIBRARY lilv-0)
-if(NOT LILV_LIBRARY)
-  message(WARNING "Failed to find Lilv library for lv2 plugins")
-endif()
-find_path(LV2_INCLUDE_DIR lv2/urid/urid.h)
-if(NOT LV2_INCLUDE_DIR)
-  message(WARNING "Failed to find LV2 header for lv2 plugins")
-endif()
-if(LILV_INCLUDE_DIR AND LILV_LIBRARY AND LV2_INCLUDE_DIR)
+
+pkg_check_modules(LV2 lv2)
+if(LILV_INCLUDE_DIRS AND LILV_LIBRARIES AND LV2_INCLUDE_DIRS)
   set(LILV_FOUND TRUE)
 endif()
 add_feature_info(LILV LILV_FOUND "The Lilv library, for lv2 plugins")
@@ -235,7 +254,7 @@
 # dummy_file will never exist so "make cppcheck" always runs cppcheck
 
 add_custom_command(OUTPUT ${CPPCHECK_OUTPUT} dummy_file
-  COMMAND cppcheck -I${CMAKE_CURRENT_SOURCE_DIR}/src --force --enable=all --inconclusive --std=c++11 --inline-suppr --quiet --suppress=missingInclude ${CMAKE_CURRENT_SOURCE_DIR}/src >& ${CPPCHECK_OUTPUT})
+  COMMAND cppcheck -I${CMAKE_CURRENT_SOURCE_DIR}/src --force --enable=all --inconclusive --std=c++14 --library=qt --inline-suppr --quiet --suppress=missingInclude --suppress=missingIncludeSystem ${CMAKE_CURRENT_SOURCE_DIR}/src >& ${CPPCHECK_OUTPUT})
 
 add_custom_target(cppcheck DEPENDS ${CPPCHECK_OUTPUT} dummy_file)
 #########################
