=== debian/changelog ===
rosegarden (1:25.06-1) unstable; urgency=medium

  * New upstream version 25.06
  * Bump Standards-Version to 4.7.2

 -- Dennis Braun <snd@debian.org>  Fri, 19 Sep 2025 15:21:54 +0200
