=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  qt6-tools-dev-tools,
  shared-mime-info,
  xutils-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.rosegardenmusic.com/
 Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git
