## rosegarden 25.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,8 @@
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "25.06")
-set(ROSEGARDEN_CODENAME "Joyfulness")
-#set(ROSEGARDEN_CODENAME "Keepsake")
+set(ROSEGARDEN_VERSION "25.12")
+set(ROSEGARDEN_CODENAME "Keepsake")
 #set(ROSEGARDEN_CODENAME "Let Freedom Ring")
 #set(ROSEGARDEN_CODENAME "Mountain Music")
 #set(ROSEGARDEN_CODENAME "Night Owl")
@@ -172,7 +171,7 @@
 
 find_package(ZLIB REQUIRED)
 
-find_package(X11 REQUIRED) # for XSetErrorHandler & XGetErrorText
+#find_package(X11 REQUIRED) # for XSetErrorHandler & XGetErrorText
 
 pkg_check_modules(LIBLO REQUIRED liblo>=0.7)
 
@@ -253,8 +252,10 @@
 
 # dummy_file will never exist so "make cppcheck" always runs cppcheck
 
+#add_custom_command(OUTPUT ${CPPCHECK_OUTPUT} dummy_file
+#  COMMAND cppcheck -I${CMAKE_CURRENT_SOURCE_DIR}/src --force --enable=all --inconclusive --std=c++14 --library=qt --inline-suppr --quiet --suppress=missingInclude --suppress=missingIncludeSystem ${CMAKE_CURRENT_SOURCE_DIR}/src >& ${CPPCHECK_OUTPUT})
 add_custom_command(OUTPUT ${CPPCHECK_OUTPUT} dummy_file
-  COMMAND cppcheck -I${CMAKE_CURRENT_SOURCE_DIR}/src --force --enable=all --inconclusive --std=c++14 --library=qt --inline-suppr --quiet --suppress=missingInclude --suppress=missingIncludeSystem ${CMAKE_CURRENT_SOURCE_DIR}/src >& ${CPPCHECK_OUTPUT})
+  COMMAND ${CMAKE_SOURCE_DIR}/scripts/cppcheck-rg ${CMAKE_SOURCE_DIR}/src > ${CPPCHECK_OUTPUT} 2>&1)
 
 add_custom_target(cppcheck DEPENDS ${CPPCHECK_OUTPUT} dummy_file)
 #########################
