=== src/CMakeLists.txt ===
--- 
+++ 
@@ -44,9 +44,9 @@
 endif()
 
 if(LILV_FOUND)
-    include_directories(${LILV_INCLUDE_DIR})
+    include_directories(${LILV_INCLUDE_DIRS})
     add_definitions(-DHAVE_LILV)
-    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${LILV_LIBRARY})
+    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${LILV_LIBRARIES})
 endif()
 
 if(ALSA_FOUND)
@@ -55,12 +55,14 @@
     set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${ALSA_LIBRARIES})
 endif()
 
-find_package(GTK2)
-if(GTK2_FOUND)
+if (USE_GTK2)
+  find_package(GTK2)
+  if(GTK2_FOUND)
     include_directories(${GTK2_INCLUDE_DIRS})
     link_directories(${GTK2_LIBRARY_DIRS})
     add_definitions(-DHAVE_GTK2)
     set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${GTK2_LIBRARIES})
+  endif()
 endif()
 
 set(rg_CPPS
@@ -91,13 +93,14 @@
   document/CommandHistory.cpp
   document/XmlSubHandler.cpp
   document/MetadataHelper.cpp
+  misc/AppendLabel.cpp
   misc/ConfigGroups.cpp
+  misc/Debug.cpp
+  misc/FileUtil.cpp
+  misc/Preferences.cpp
+  misc/Strings.cpp
   misc/TempDir.cpp
-  misc/AppendLabel.cpp
-  misc/Debug.cpp
   misc/Version.cpp
-  misc/Strings.cpp
-  misc/Preferences.cpp
   gui/dialogs/AudioFileLocationDialog.cpp
   gui/dialogs/PasteNotationDialog.cpp
   gui/dialogs/ConfigureDialogBase.cpp
@@ -124,7 +127,6 @@
   gui/dialogs/BeatsBarsDialog.cpp
   gui/dialogs/PitchBendSequenceDialog.cpp
   gui/dialogs/TimeSignatureDialog.cpp
-  gui/dialogs/SimpleEventEditDialog.cpp
   gui/dialogs/TempoDialog.cpp
   gui/dialogs/AudioPlayingDialog.cpp
   gui/dialogs/TextEventDialog.cpp
@@ -144,7 +146,6 @@
   gui/dialogs/InsertTupletDialog.cpp
   gui/dialogs/TransportDialog.cpp
   gui/dialogs/ShowSequencerStatusDialog.cpp
-  gui/dialogs/EventEditDialog.cpp
   gui/dialogs/QuantizeDialog.cpp
   gui/dialogs/CheckForParallelsDialog.cpp
   gui/dialogs/FloatEdit.cpp
@@ -170,9 +171,8 @@
   gui/widgets/TristateCheckBox.cpp
   gui/widgets/FileDialog.cpp
   gui/widgets/FontRequester.cpp
-  gui/widgets/TimeWidget.cpp
+  gui/widgets/TimeWidget2.cpp
   gui/widgets/WarningGroupBox.cpp
-  gui/widgets/MidiFaderWidget.cpp
   gui/widgets/ProgressBar.cpp
   gui/widgets/Panned.cpp
   gui/widgets/AudioVUMeter.cpp
@@ -192,7 +192,6 @@
   gui/widgets/PluginControl.cpp
   gui/widgets/AudioFaderBox.cpp
   gui/widgets/QuantizeParameters.cpp
-  gui/widgets/ColourTableItem.cpp
   gui/widgets/VUMeter.cpp
   gui/widgets/TmpStatusMsg.cpp
   gui/widgets/BaseTextFloat.cpp
@@ -209,11 +208,23 @@
   gui/widgets/WarningDialog.cpp
   gui/widgets/AudioRouteMenu.cpp
   gui/widgets/ScrollBox.cpp
-  gui/widgets/ColourTable.cpp
   gui/widgets/PitchChooser.cpp
   gui/widgets/WarningWidget.cpp
   gui/widgets/TextFloat.cpp
   gui/widgets/ColorCombo.cpp
+  gui/editors/event/EditEvent.cpp
+  gui/editors/event/EventWidget.cpp
+  gui/editors/event/NoteWidget.cpp
+  gui/editors/event/RestWidget.cpp
+  gui/editors/event/ControllerWidget.cpp
+  gui/editors/event/ProgramChangeWidget.cpp
+  gui/editors/event/PitchBendWidget.cpp
+  gui/editors/event/ChannelPressureWidget.cpp
+  gui/editors/event/KeyPressureWidget.cpp
+  gui/editors/event/SysExWidget.cpp
+  gui/editors/event/RPNWidget.cpp
+  gui/editors/event/NRPNWidget.cpp
+  gui/editors/event/EventTypeDialog.cpp
   gui/editors/pitchtracker/PitchHistory.cpp
   gui/editors/pitchtracker/PitchTrackerView.cpp
   gui/editors/pitchtracker/PitchGraphWidget.cpp
@@ -292,8 +303,7 @@
   gui/editors/matrix/MatrixSelector.cpp
   gui/editors/matrix/MatrixToolBox.cpp
   gui/editors/eventlist/TrivialVelocityDialog.cpp
-  gui/editors/eventlist/EventView.cpp
-  gui/editors/eventlist/EventViewItem.cpp
+  gui/editors/eventlist/EventListEditor.cpp
   gui/editors/segment/TriggerManagerItem.cpp
   gui/editors/segment/PlayListView.cpp
   gui/editors/segment/TrackButtons.cpp
@@ -315,9 +325,3 @@
   gui/editors/segment/compositionview/ChangingSegment.cpp
   gui/editors/segment/compositionview/SegmentTool.cpp
   gui/editors/segment/compositionview/AudioPreviewPainter.cpp
-  gui/editors/segment/compositionview/CompositionColourCache.cpp
-  gui/editors/segment/compositionview/SegmentResizer.cpp
-  gui/editors/segment/compositionview/AudioPeaksThread.cpp
-  gui/editors/segment/compositionview/SegmentSplitter.cpp
-  gui/editors/segment/compositionview/AudioPeaksGenerator.cpp
-  gui/editors/segment/compositionview/SegmentMover.cpp
