=== debian/changelog ===
rosegarden (1:25.12-2) unstable; urgency=medium

  * Remove unfinished autopkgtest from debian files

 -- Dennis Braun <snd@debian.org>  Wed, 10 Dec 2025 11:05:57 +0100

rosegarden (1:25.12-1) unstable; urgency=medium

  * New upstream version 25.12
  * Update d/watch to version 5
  * Remove redudant rules-requires-root-no field

 -- Dennis Braun <snd@debian.org>  Fri, 05 Dec 2025 22:42:41 +0100
