=== debian/control ===
--- 
+++ 
@@ -31,7 +31,6 @@
  shared-mime-info,
  xutils-dev,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://www.rosegardenmusic.com/
 Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/rosegarden
